/*************************************************************
 * PARMF.C						     *
 * Aufspaltung von einer zweidimensionalen Funktions-	     *
 * darstellung in zwei Parameterfunktionen		     *
 *-----------------------------------------------------------*
 * Aufruf: parmf pfx pfy				     *
 * wobei pfx pfy die Ausgabedateien sind		     *
 *************************************************************/
#include<stdio.h>
#include<math.h>
#include<stdlib.h>

int main(int argc,char **argv)
{ double t,x0,y0,x1,y1;
  FILE *fp1,*fp2;
  t=0;
  if(argc<3)
  { fprintf(stderr,"Aufruf:parmf pfx pfy\n");exit(1);}
  fp1=fopen(argv[1],"w");
  fp2=fopen(argv[2],"w");
  if(scanf("%G %G",&x0,&y0)==EOF) exit(0);
  fprintf(fp1," %15.10g %15.10g\n",t,x0);
  fprintf(fp2," %15.10g %15.10g\n",t,y0);
  while(scanf("%G %G",&x1,&y1)!=EOF)
  {
     t=t+sqrt((x1-x0)*(x1-x0)+(y1-y0)*(y1-y0));
     fprintf(fp1," %15.10g %15.10g\n",t,x1);
     fprintf(fp2," %15.10g %15.10g\n",t,y1);
     x0=x1;y0=y1;
  }
  fclose(fp1);fclose(fp2);
}
