#include"median.h"
#include<stdlib.h>
#include<string.h>

Median::Median(int cap):cap_(cap),n_(0)
{
    stichprobe_=new double[cap_];
}

void Median::resize()
{
    // Verdoppelt die Groesse und kopiert inhalt
    int cap=cap_<<1;
    double *s = new double[cap];
    memcpy(s,stichprobe_,n_*sizeof(double));
    delete stichprobe_;
    stichprobe_=s;
    cap_=cap;
}

void Median::add(double w)
{
    if(n_>=cap_)
    {
	resize();
    }
    stichprobe_[n_++]=w;
}

void
Median::schreibestichprobe(std::ostream &ostr)
{
    for(double *i=stichprobe_;i<stichprobe_+n_;i++)
    {
	ostr << *i << std::endl;
    }
}

int Median::vergleich(const void *t1,const void *t2)
{
     return ((*((double *)t2)) - (*((double *)t1)) < 0.0 ? 1 : -1);
}

void Median::sortstichprobe()
{
    qsort(stichprobe_,n_,sizeof(double),vergleich);
}

double Median::median() throw (ZuWenigWerte)
{
    if(n_<1) throw ZuWenigWerte(n_);
    sortstichprobe();
    int m=n_/2;
    if(n_%2)
    {
	return stichprobe_[m];
    }
    else
    {
	return (stichprobe_[m-1]+stichprobe_[m])/2.0;
    }
}
