/**********************************************************************
 * Programm...: wuerfelmain.C                                         *
 * Zweck......: Erzeugung von Zufallszahlen bestimmter Verteilung     *
 * Testprogramm zu wuerfel.h                                          *
 *--------------------------------------------------------------------*
 * Copyright: 1992-1995  IMMD IV University Erlangen-Nrnberg      *
 *            extracted fom Giant and ported to C++ by Rudolf Weber,  *
 * Distribution: GNU-Copy-left                                        *
 **********************************************************************/
#include<iostream>
#include<stdlib.h>
#include"wuerfel.h"

int main(int argc,char **argv)
{
  Verteilung *g;
  Verttyp vtyp;
  int n;
  
  if(argc<2)
  {
    std::clog << "Aufruf: " << argv[0] <<" <Verteilung> [<n>]" << std::endl;
    exit(1);
  }

  if((g=lesevert(argv[1]))==NULL)
  {
    std::clog << argv[1] << ": Keine gueltige Verteilung" << std::endl;
    exit(1);
  }
  
  if(argc >= 3)
  {
    n = atoi(argv[2]);
    while(n>0)
    {
      std::cout << g->zufall() << "\n";
      n--;
    }
  }
  return 0;
}











