#ifndef CHI2DICHTE_H
#define CHI2DICHTE_H
#include"Dichte.h"

/* Literatur:
   http://de.wikipedia.org/wiki/Chi-Quadrat-Verteilung
   GNU scientific Library gsl-1.15/randist/chisq.c
 */
class Chi2Dichte : public Dichte
{
public:
  Chi2Dichte(int n);
  virtual double operator()(double x);
  virtual double unteregrenze();
  static double simplegamma_n_halbe(int n);
private:
  int n_; // Freiheitsgrade  
  double nenner_; 
};

#endif
