#include <dlfcn.h>
#include <stdlib.h>
#include "DichteConnect.h"
#include <iostream>
#include <string.h>

DichteConnect::DichteConnect(const char *sig)
{
   char *error=0;
   char soname[32];
   char *s=soname;
   const char *q=sig;
   while(*q!='\0' && *q!='(') { *s++=*q++; }
   strcpy(s,"dichte.so");
   dlh = dlopen(soname,RTLD_NOW|RTLD_GLOBAL);
   if(dlh==0)
   {
      std::clog << "Loading Vfunc " << soname << ":"
                << dlerror() << std::endl;
      exit(1);
   }
   dlerror();
   *(void **)(&erzeuge) = dlsym(dlh,"erzeugeDichte");
   if((error=dlerror())!=0)
   {
      std::clog << "Loading getVFunc:" << error << std::endl;
      return;
   } 
   dichte = (*erzeuge)(sig);
}

DichteConnect::~DichteConnect()
{
   if(dlh)
   {
       dlclose(dlh);
   }
}

