/************************************************
 * Probeprogramm zur Qrtogonaltransformation	*
 * nach Givens					*
 ************************************************
#include<stdio.h>
#include <math.h>
#include"matrix.h"
#define DELTA 1E-15 /*kleinste Zahl mit 1+DELTA!=1*/

MATRIX qrz(MATRIX *qp,MATRIX c);

main()
{ MATRIX c,q,r,hilf;
  printf("Matrix c ?\n");
  c=matein(stdin);

  r=qrz(&q,c);
  printf("R:\n");mataus(r);
  printf("Q:\n");mataus(q);
}

#define K r->m
#define N r->n
#define R r->inh
#define T t->inh

/***************************************
 * Matrix c wird zerlegt dass c=q*r    *
 * q ortogonal, r obere dreiecksmatrix *
 * r ist wird zurckgegeben	       *
 ***************************************/
MATRIX qrz(MATRIX *qp,MATRIX c)
{ int p,q,i;
  MATRIX r,t,qt,hilf;
  double h,si,co;
  r=matcopy(c);
  qt=mateins(N);

  for(p=0;p<K;p++)
  {  for(q=p+1;q<N;q++)
	if(R[q][p]!=0)
	{  if(fabs(R[p][p]) < DELTA*fabs(R[q][p]))
	   { co=0; si=1; }
	   else
	   { h=sqrt(R[p][p]*R[p][p]+R[q][p]*R[q][p]);
	     co=R[p][p]/h;
	     si=-R[q][p]/h;
	   }

	   /* Matrix T bestimmen */
	   t=mateins(N);
	   T[p][p]=co;
	   T[q][q]=co;
	   T[p][q]=-si;
	   T[q][p]=si;
	   /* QT bestimmen*/
	   hilf=matmul(t,qt);
	   matweg(t);matweg(qt);
	   qt=hilf;

	   /*in Matrix*/
	   for(i=p;i<K;i++)
	   { h = R[p][i]*co - R[q][i]*si;
	     R[q][i] = R[p][i]*si + R[q][i]*co;
	     R[p][i] = h;
	   }
	}
  }
  *qp=mattrans(qt);
  matweg(qt);
  return(r);
}
