/************************************************************
 *  Lsung eines Gleichungssystems mit symetrischer Matrix  *
 *  mit cholesky					    *
 *----------------------------------------------------------*
 * Aufruf SYMLGS [MAT VEK]				    *
 *	   wobei MAT: datei mit Matrix			    *
 *		 VEK: datei mit vektor			    *
 *	   falls nicht angegeben wir von stdin gelesen	    *
 ************************************************************/
#include<stdio.h>
#include<math.h>
#include"matrix.h"

main(int argc,char **argv)
{ MATRIX a,l,lt;
  VEKTOR b,h,x;
  FILE *fp1,*fp2;
  int rc;

  /*Auswertung Kommandozeilenparameter*/
  if(argc<2)
  {
    fp1=fp2=stdin;
    fprintf(stderr,"Lsung eines Gleichungssystems mit symetrischer Matrix\n");
    fprintf(stderr,"======================================================\n\n");
    fprintf(stderr,"Symmetrische Matrix ?\n");
    fprintf(stderr,"Symmetrie wird nicht berprft\n");
    fprintf(stderr," Blanks:Trenner RET: Neue Zeile Ctrl-Z: Ende \n");
  }
  else
  {
     fp1=fopen(argv[1],"r");
     fp2=fopen(argv[2],"r");
     if(fp1==NULL || fp2==NULL)
     { fprintf(stderr,"Fehler beim Datei ffnen\n");
       exit(1);
     }
  }

  /*Einlesen */
  a=matein(fp1);
  if(argc<2) fprintf(stderr,"Inhomogenitt ?\n");
  b=vekein(fp2);
  if(argc>=2) {fclose(fp1);fclose(fp1);}

  rc=cholesky(&l,a);
  if(!rc) { fprintf(stderr,"\n Matrix lt sich nicht zerlegen!\n"); exit(1);}

  lt=mattrans(l);
  h=leinsetz(l,b);
  x=reinsetz(lt,h);
  fprintf(stderr,"Ergebnis:\n");
  vekaus(x);
}
