/***********************************************
 * Ein- Ausgabe von Matrizen		       *
 ***********************************************/
#define MAXGR 10   /*max Dimension */
#include<stdio.h>
#include<stdlib.h>
#include"matrix.h"
#include"rscanf.h"

VEKTOR vekein(FILE *fp)
{ int n,i;
  VEKTOR e;
  double d,zsp[MAXGR];

  n=0;
  while(n<MAXGR && fscanf(fp,"%G",&d)!=EOF) zsp[n++]=d;
  e=veinricht(n);
  for(i=0;i<n;i++)
    e->inh[i]=zsp[i];
  return(e);
}

void vekaus(VEKTOR x)
{ int i;
  for(i=0;i<x->n;i++)
    printf("%g\n",x->inh[i]);
}

 void mataus(MATRIX a)
 { int i,j;
   for(i=0;i<a->n;i++)
   {  for(j=0;j<a->m;j++)
	 printf("%7.5g  ",a->inh[i][j]);
      printf("\n");
   }
 }

MATRIX matein(FILE *fp)
{  static double H[MAXGR][MAXGR];
   MATRIX r;
   int n,m,i,j;
   int rc;
   double d;
   /*Matrix in Hilfsfeld einlesen, um Typ zu bestimmen */
   i=j=0;n=m=0;
   while((rc=frscanf(fp,"%G",&d))!=EOF && i<MAXGR)
   { j=0;
     while(rc!=EOLN && rc!=EOF)
     {	if(j<MAXGR) H[i][j++]=d;
	rc=frscanf(fp,"%G",&d);
     }
     if(i==0) m=j;
     i++;
   }
   n=i;
   /* Matrix einrichten und kopieren */
   r=meinricht(n,m);
   for(i=0;i<n;i++)
      for(j=0;j<m;j++)
	 r->inh[i][j]=H[i][j];
   return(r);
}
