#ifndef COVBERECHNUNG_H
#define COVBERECHNUNG_H
#include "Stat.h"
#include "VerbundeneStat.h"
#include "UDM.h"
#include "Feldliste.h"
class CovBerechnung
{
public:
    CovBerechnung():next(0) {}
    bool init(const char *fieldlist);
    void calcconnections(Stat *sammel,const Feldliste& allefl);
    void Add(double *x);
    // Ausgabe +c und +r in Zeile bei zwei Variablen
    void Print(Aet *ausformat,char trenn);
    // Ausgabe Covarianz und Korrelationsmatrizen
    void PrintMatrix();
    void Reset();
    Feldliste covfl;   /* Kovarianzfeldliste */
    UDM<VerbundeneStat> covmat;
    CovBerechnung *next;
};
#endif
