#include "Feldliste.h"
#include <stdlib.h>

int Feldliste::interpretiereliste(const char *optarg)
{
  const char *zptr=optarg;
  n=0;
  int w=0;
  while(*zptr!='\0')
  {
    if(*zptr == ',')
    {
      append(w-1);
      w=0;
    }
    else if('0' <= *zptr && *zptr <= '9')
    {
	//* atoi faelschung ...
	w*=10;
	w+=(*zptr - '0');
    }
    zptr++;
  }
  if(w>0)
  {
     append(w-1);
  }
  return 1;
}

std::ostream& operator<<(std::ostream& str,const Feldliste& fl)
{
    for(int i=0;i<fl.len();i++)
    {
	if(i>0)
	{
	    str << ',';
	}
	str << fl[i]+1;
    }
    return str;
}

bool Feldliste::in(int f) const
{
    for(int i=0;i<n;i++)
    {
	if(con[i]==f)
	{
	    return true;
	}
    }
    return false;
}

int Feldliste::index(int f) const
{
    for(int i=0;i<n;i++)
    {
	if(con[i]==f)
	{
	    return i;
	}
    }
    return -1;  
}

void Feldliste::merge(const Feldliste& fl1,const Feldliste& fl2)
{
    reset();
    for(int f=0;f<MAXFELD;f++)
    {
	if(fl1.in(f)||fl2.in(f))
	{
	    append(f);
	}
    }
}


void Feldliste::mergedazu(const Feldliste& f)
{
    for(int g=0;g<MAXFELD;g++)
    {
	if(!(this->in(g)) && f.in(g))
	{
	    append(g);
	}
    }
}

int Feldliste::max() const
{
  int ret=-1;
  for(int i=0;i<n;i++)
  {  
      if(con[i]>ret) { ret=con[i]; }
  }
  return ret;
}
