#ifndef FELDLISTE_H
#define FELDLISTE_H
#include<ostream>
const int MAXFELD=20;

class Feldliste
{
private:
  int con[MAXFELD];
  int n;
public:
  Feldliste():n(0) {}
  void reset() { n=0; }
  int len() const { return n; }
  void append(int i) { con[n]=i;n++; }

  int operator[](int index) const { return con[index]; }
  // liefert maximalen Feldnummer
  int max() const;
  // checks if f is in the list
  bool in(int f) const;
  // inverse: ermittelt index von inhalt f
  int  index(int f) const;
  // Feldliste als string hat die Form 1,2 
  // Gespeichert wird der Feldindex (feldnr-1)
  int interpretiereliste(const char *optarg);
  // Initialisiert eine Liste mit der mengenmäßigen vereinigung der Feldlisten 
  void merge(const Feldliste& f1,const Feldliste& f2);
  void mergedazu(const Feldliste& f);
};
std::ostream& operator<<(std::ostream& str,const Feldliste& fl);
#endif
