#include<iostream>
#include<getopt.h>
#include<stdlib.h>
#include<stdio.h>
#include"median.h"

int main(int argc,char **argv)
{
    FILE *inp=stdin;
    int maxcap = 1024;
    int verbose=0;
    extern char *optarg;
    extern int optind;
    int o;
    /* Werte Kommandozeile aus */
    while((o=getopt(argc,argv,"n:v"))!=-1)
    {
	switch(o)
	{
	    case 'v': verbose=1;
		break;
	    case 'n':
		{
		    char *p;
		    maxcap=strtol(optarg,&p,10);
		    if(*p!='\0' || maxcap < 1)
		    {
			std::cerr << "-n muss eine positive  ganzzahl als Parameter haben"
				  << std::endl;
			exit(1);
		    }
		}
		break;
	}
    }
    Median median(maxcap);
    double x;

    try
    {
	while(fscanf(inp,"%lg",&x)!=EOF)
	{
	    median.add(x);
	}
	double me = median.median();
	if(verbose)
	{
	    // median.sortstichprobe();
	    std::cout << "--- sortiert --- " << std::endl;
	    median.schreibestichprobe(std::cout);
	    std::cout << "median = ";
	}
	std::cout << me << std::endl;
    }
    catch(std::exception& ex)
    {
	std::cerr << ex.what() << std::endl;
	return 1;
    }
    return 0;
}
