#include <iostream>
#include <stdlib.h>
#include <exception>
#include "Dichte.h"
#include "DichteConnect.h"

int main(int argc,char **argv)
{
   if(argc<2)
   {
     std::clog << "Aufruf: " << argv[0] << " Verteilung" << std::endl;
     exit(1);
   }
   try
   {
       DichteConnect dc(argv[1]);
       Dichte &dichte = *(dc.dichte);
       double x;
       while(std::cin >> x)
       {
	   std::cout << x << '\t' << dichte(x) << std::endl; 
       }
   }
   catch(std::exception& ex)
   {
       std::clog << ex.what() << std::endl;
   }
}

